import './_commonjsHelpers-0c4b6f40.js';
import './_to-object-a4107da3.js';
import './es6.string.iterator-c990c18c.js';
import './_library-528f1934.js';
import './_iter-detect-5d49a330.js';
import './core.get-iterator-method-e1de7503.js';
import './define-property-8af5f002.js';
import './web.dom.iterable-4439f05a.js';
import React from 'react';
import 'prop-types';
import Row from 'react-bootstrap/Row';
import Col from 'react-bootstrap/Col';
import './isSymbol-1981418f.js';
import './asyncToGenerator-fc1c2e29.js';
import './Segment.js';
import './get-1e515072.js';
import './eq-b470f743.js';
import './react-social-icons-3822f1ce.js';
import './defineProperty-94fd8bfc.js';
import SideFooter from './SideFooter.js';
import { C as ConferenceBanner } from './ConferenceBanner-9162d0ca.js';

var Column2 = function Column2(props) {
  var rightItems = props.rightItems,
      title = props.title,
      website = props.website;


  return React.createElement(
    'section',
    null,
    React.createElement(
      Row,
      { className: 'justify-content-md-center' },
      React.createElement(
        Col,
        { md: true, className: 'middleCol', style: { marginTop: !title && '10px' } },
        title && React.createElement(
          'h1',
          null,
          title
        ),
        props.children
      ),
      React.createElement(
        Col,
        { xs: 12, className: 'rightCol' },
        website && website.conferenceBannerContent && React.createElement(ConferenceBanner, { website: website }),
        React.createElement(
          'div',
          { className: 'sticky-top', style: { top: '60px' } },
          rightItems && rightItems.map(function (row, index) {
            return React.createElement(
              'div',
              { key: index },
              row.component
            );
          }),
          website && website.sideFooterContent && website.sideFooterContent.length && !website.showFooterOnLeftSide && React.createElement(SideFooter, { website: website })
        )
      )
    )
  );
};

export default Column2;
export { Column2 };
